<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (16) on Tue Mar 01 18:42:51 CET 2022 -->
<title>LaCalculadora</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-03-01">
<meta name="description" content="declaration: package: Practica_03, class: LaCalculadora">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var evenRowColor = "even-row-color";
var oddRowColor = "odd-row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/LaCalculadora.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">Practica_03</a></div>
<h1 title="Class LaCalculadora" class="title">Class LaCalculadora</h1>
</div>
<div class="inheritance" title="Inheritance Tree"><a href="https://docs.oracle.com/javase/9/docs/api/java/lang/Object.html" title="class or interface in java.lang" class="external-link">java.lang.Object</a>
<div class="inheritance">Practica_03.LaCalculadora</div>
</div>
<section class="description">
<hr>
<div class="type-signature"><span class="modifiers">public class </span><span class="element-name type-name-label">LaCalculadora</span>
<span class="extends-implements">extends <a href="https://docs.oracle.com/javase/9/docs/api/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></span></div>
<div class="block"><h2>Clase La Calculadora, se utiliza para realizar las funciones de una calculadora </h2>
 
 Busca información de Javadoc en <a href="http://www.google.com">GOOGLE</a></div>
<dl class="notes">
<dt>Since:</dt>
<dd>01-03-2022</dd>
<dt>Version:</dt>
<dd>3-2022</dd>
<dt>Author:</dt>
<dd>Diego Lopez</dd>
</dl>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="caption"><span>Constructors</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-constructor-name even-row-color"><code><span class="member-name-link"><a href="#%3Cinit%3E()">LaCalculadora</a></span>()</code></div>
<div class="col-last even-row-color">&nbsp;</div>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="method-summary-table-tab0" role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table', 3)" class="active-table-tab">All Methods</button><button id="method-summary-table-tab1" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab1', 3)" class="table-tab">Static Methods</button><button id="method-summary-table-tab4" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab4', 3)" class="table-tab">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<div class="summary-table three-column-summary" aria-labelledby="method-summary-table-tab0">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table"><code>static int</code></div>
<div class="col-second even-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table"><code><span class="member-name-link"><a href="#divideix(int,int)">divideix</a></span>&#8203;(int&nbsp;num1,
 int&nbsp;num2)</code></div>
<div class="col-last even-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table">
<div class="block">Metodo para poder hacer una division entre zero</div>
</div>
<div class="col-first odd-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table"><code>static int</code></div>
<div class="col-second odd-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table"><code><span class="member-name-link"><a href="#divisio(int,int)">divisio</a></span>&#8203;(int&nbsp;a,
 int&nbsp;b)</code></div>
<div class="col-last odd-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table">
<div class="block">Metodo para dividir dos numeros que ponga el usuario</div>
</div>
<div class="col-first even-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table"><code>static char</code></div>
<div class="col-second even-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table"><code><span class="member-name-link"><a href="#llegirCar()">llegirCar</a></span>()</code></div>
<div class="col-last even-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table">
<div class="block">Metodo para introducir un caracter</div>
</div>
<div class="col-first odd-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table"><code>static int</code></div>
<div class="col-second odd-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table"><code><span class="member-name-link"><a href="#llegirEnter()">llegirEnter</a></span>()</code></div>
<div class="col-last odd-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table">
<div class="block">Metodo para ingresar un numero entero</div>
</div>
<div class="col-first even-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table"><code>static void</code></div>
<div class="col-second even-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table"><code><span class="member-name-link"><a href="#main(java.lang.String%5B%5D)">main</a></span>&#8203;(<a href="https://docs.oracle.com/javase/9/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]&nbsp;args)</code></div>
<div class="col-last even-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table">
<div class="block">Metodo main</div>
</div>
<div class="col-first odd-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table"><code>static void</code></div>
<div class="col-second odd-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table"><code><span class="member-name-link"><a href="#mostrar_menu()">mostrar_menu</a></span>()</code></div>
<div class="col-last odd-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table">
<div class="block">Menu de opciones que tendra el usuario a la hora de ejecutar la calculadora</div>
</div>
<div class="col-first even-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table"><code>static void</code></div>
<div class="col-second even-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table"><code><span class="member-name-link"><a href="#mostrarError()">mostrarError</a></span>()</code></div>
<div class="col-last even-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table">
<div class="block">Metodo para mostrar un mensaje de que ha habido un error al introducir los numeros.</div>
</div>
<div class="col-first odd-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table"><code>static int</code></div>
<div class="col-second odd-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table"><code><span class="member-name-link"><a href="#multiplicacio(int,int)">multiplicacio</a></span>&#8203;(int&nbsp;a,
 int&nbsp;b)</code></div>
<div class="col-last odd-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table">
<div class="block">Metodo para multiplicar los numeros ingresados desde la clase Scanner</div>
</div>
<div class="col-first even-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table"><code>static int</code></div>
<div class="col-second even-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table"><code><span class="member-name-link"><a href="#resta(int,int)">resta</a></span>&#8203;(int&nbsp;a,
 int&nbsp;b)</code></div>
<div class="col-last even-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table">
<div class="block">Metodo para restar los numeros ingresados desde el Scanner</div>
</div>
<div class="col-first odd-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table"><code>static int</code></div>
<div class="col-second odd-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table"><code><span class="member-name-link"><a href="#suma(int,int)">suma</a></span>&#8203;(int&nbsp;a,
 int&nbsp;b)</code></div>
<div class="col-last odd-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table">
<div class="block">Metodo para poder sumar los numeros que sean ingresados desde la clase Scanner.</div>
</div>
<div class="col-first even-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table"><code>static void</code></div>
<div class="col-second even-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table"><code><span class="member-name-link"><a href="#visualitzar(int)">visualitzar</a></span>&#8203;(int&nbsp;res)</code></div>
<div class="col-last even-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table">
<div class="block">Metodo para ver el resultado de la operacion.</div>
</div>
</div>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/9/docs/api/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/9/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang" class="external-link">equals</a>, <a href="https://docs.oracle.com/javase/9/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang" class="external-link">getClass</a>, <a href="https://docs.oracle.com/javase/9/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang" class="external-link">hashCode</a>, <a href="https://docs.oracle.com/javase/9/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang" class="external-link">notify</a>, <a href="https://docs.oracle.com/javase/9/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang" class="external-link">notifyAll</a>, <a href="https://docs.oracle.com/javase/9/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang" class="external-link">toString</a>, <a href="https://docs.oracle.com/javase/9/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/javase/9/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/javase/9/docs/api/java/lang/Object.html#wait(long,int)" title="class or interface in java.lang" class="external-link">wait</a></code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;()">
<h3>LaCalculadora</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">LaCalculadora</span>()</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="main(java.lang.String[])">
<h3>main</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">main</span>&#8203;<span class="parameters">(<a href="https://docs.oracle.com/javase/9/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]&nbsp;args)</span></div>
<div class="block">Metodo main</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>args</code> - esta la informacion del String</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="mostrarError()">
<h3>mostrarError</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">mostrarError</span>()</div>
<div class="block">Metodo para mostrar un mensaje de que ha habido un error al introducir los numeros.</div>
</section>
</li>
<li>
<section class="detail" id="suma(int,int)">
<h3>suma</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">suma</span>&#8203;<span class="parameters">(int&nbsp;a,
 int&nbsp;b)</span></div>
<div class="block">Metodo para poder sumar los numeros que sean ingresados desde la clase Scanner.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>a</code> - primer numero ingresado</dd>
<dd><code>b</code> - segundo numero ingresaod</dd>
<dt>Returns:</dt>
<dd>nombre de la funcion int</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="resta(int,int)">
<h3>resta</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">resta</span>&#8203;<span class="parameters">(int&nbsp;a,
 int&nbsp;b)</span></div>
<div class="block">Metodo para restar los numeros ingresados desde el Scanner</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>a</code> - , primer numero ingresado</dd>
<dd><code>b</code> - , segundo numero ingresado</dd>
<dt>Returns:</dt>
<dd>debolvera la resta de los otros dos numeros</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="multiplicacio(int,int)">
<h3>multiplicacio</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">multiplicacio</span>&#8203;<span class="parameters">(int&nbsp;a,
 int&nbsp;b)</span></div>
<div class="block">Metodo para multiplicar los numeros ingresados desde la clase Scanner</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>a</code> - , primer numero ingresado</dd>
<dd><code>b</code> - , segundo numero ingresado</dd>
<dt>Returns:</dt>
<dd>nos debolvera el resultado de la multiplicacio de los dos numeros</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="divisio(int,int)">
<h3>divisio</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">divisio</span>&#8203;<span class="parameters">(int&nbsp;a,
 int&nbsp;b)</span></div>
<div class="block">Metodo para dividir dos numeros que ponga el usuario</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>a</code> - , primer numero que es ingresado</dd>
<dd><code>b</code> - , segundo numero ingresado</dd>
<dt>Returns:</dt>
<dd>nos devolbera el resultado de la division si es correcta si no nos saltara un mensaje de error.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="llegirCar()">
<h3>llegirCar</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">char</span>&nbsp;<span class="element-name">llegirCar</span>()</div>
<div class="block">Metodo para introducir un caracter</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>devolvera el caracter ingresado</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="llegirEnter()">
<h3>llegirEnter</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">llegirEnter</span>()</div>
<div class="block">Metodo para ingresar un numero entero</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>nos devolvera el numero si es entero sino saldra un mensaje de error.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="divideix(int,int)">
<h3>divideix</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">divideix</span>&#8203;<span class="parameters">(int&nbsp;num1,
 int&nbsp;num2)</span></div>
<div class="block">Metodo para poder hacer una division entre zero</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>num1</code> - Priner numero ingresado</dd>
<dd><code>num2</code> - Segundo numero ingresado</dd>
<dt>Returns:</dt>
<dd>Devolvera el resultado de la division</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="visualitzar(int)">
<h3>visualitzar</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">visualitzar</span>&#8203;<span class="parameters">(int&nbsp;res)</span></div>
<div class="block">Metodo para ver el resultado de la operacion.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>res</code> - nombre de atributo para Int</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="mostrar_menu()">
<h3>mostrar_menu</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">mostrar_menu</span>()</div>
<div class="block">Menu de opciones que tendra el usuario a la hora de ejecutar la calculadora</div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
</div>
</div>
</body>
</html>
